#ifdef HAVE_CONFIG_H
#include <config.h>
#endif /* HAVE_CONFIG_H */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "dvsend.h"

#include "rtp_api.h"
#include "rtp_highlevel.h"

static int send_offset = 0;

int dvsend_RTPSend(int8* g_frame, int size){

    /* first packet of the frame => raise the timestamp */
    if (send_offset == 0) {
      status = RTPSend(cid, 3600, 0, 111, (int8*)(g_frame), size);
      send_offset += size;
    }	    
    /* last packet of the frame => set the marker bit*/
    else if (send_offset + 480 == 144000) {
      status = RTPSend(cid, 0, 1, 111, (int8*)(g_frame), size);
      send_offset = 0;
    } 
    /* packet inside the frame */
    else {
      status = RTPSend(cid, 0, 0, 111, (int8*)(g_frame), size);
      send_offset += size;
    }	    
    if (status != RTP_OK){
      fprintf(stderr, "RTPSend: %s\n", RTPStrError(status));
      return (-1);
    }

    return (0);
}
